net.sourceforge.pmd.dfa

## Class StatementAndBraceFinderTest

- java.lang.Object
- - net.sourceforge.pmd.testframework.ParserTst
  - - net.sourceforge.pmd.dfa.StatementAndBraceFinderTest

    public class StatementAndBraceFinderTest
    extends ParserTst

### Constructor Summary

Constructors
Constructor and Description
`StatementAndBraceFinderTest()`

### Method Summary

Methods
`static junit.framework.Test` `suite()`
`void` `testForStmtHasCorrectTypes()`
`void` `testIfStmtHasCorrectTypes()`
`void` `testOnlyWorksForMethodsAndConstructors()`
`void` `testStatementExpressionParentChildLinks()`
`void` `testVariableDeclaratorParentChildLinks()`
`void` `testWhileStmtHasCorrectTypes()`

### Methods inherited from class net.sourceforge.pmd.testframework.ParserTst

`buildDFA, getNodes, getNodes, getOrderedNodes, parseJava, parseJava13, parseJava14, parseJava15, parseJava17`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StatementAndBraceFinderTest

    public StatementAndBraceFinderTest()

### Method Detail

#### testStatementExpressionParentChildLinks

    public void testStatementExpressionParentChildLinks()
                                                 throws Throwable

Throws:
  `Throwable`

#### testVariableDeclaratorParentChildLinks

    public void testVariableDeclaratorParentChildLinks()
                                                throws Throwable

Throws:
  `Throwable`

#### testIfStmtHasCorrectTypes

    public void testIfStmtHasCorrectTypes()
                                   throws Throwable

Throws:
  `Throwable`

#### testWhileStmtHasCorrectTypes

    public void testWhileStmtHasCorrectTypes()
                                      throws Throwable

Throws:
  `Throwable`

#### testForStmtHasCorrectTypes

    public void testForStmtHasCorrectTypes()
                                    throws Throwable

Throws:
  `Throwable`

#### testOnlyWorksForMethodsAndConstructors

    public void testOnlyWorksForMethodsAndConstructors()

#### suite

    public static junit.framework.Test suite()